Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassInvestigationSubject

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassInvestigationSubject

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassInvestigationSubject

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Investigation Subject', and utility methods for working with them. specDomain: V19587 (C-0-D11555-V13940-V19313-V19316-V10416-V19587-cpt)

See Also:
  `CDAR2Package.getRoleClassInvestigationSubject()`

Field Summary
`static int` | `CASESBJ` The 'CASESBJ' literal value.
`static RoleClassInvestigationSubject` | `CASESBJ_LITERAL` The 'CASESBJ' literal object.
`static int` | `INVSBJ` The 'INVSBJ' literal value.
`static RoleClassInvestigationSubject` | `INVSBJ_LITERAL` The 'INVSBJ' literal object.
`static int` | `RESBJ` The 'RESBJ' literal value.
`static RoleClassInvestigationSubject` | `RESBJ_LITERAL` The 'RESBJ' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Investigation Subject' enumerators.

Method Summary
`static RoleClassInvestigationSubject` | `get(int value)` Returns the 'Role Class Investigation Subject' literal with the specified integer value.
`static RoleClassInvestigationSubject` | `get(java.lang.String literal)` Returns the 'Role Class Investigation Subject' literal with the specified literal value.
`static RoleClassInvestigationSubject` | `getByName(java.lang.String name)` Returns the 'Role Class Investigation Subject' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVSBJ

    public static final int INVSBJ

  The 'INVSBJ' literal value.

  If the meaning of 'INVSBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INVSBJ_LITERAL`, Constant Field Values

### CASESBJ

    public static final int CASESBJ

  The 'CASESBJ' literal value.

  If the meaning of 'CASESBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CASESBJ_LITERAL`, Constant Field Values

### RESBJ

    public static final int RESBJ

  The 'RESBJ' literal value.

  If the meaning of 'RESBJ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESBJ_LITERAL`, Constant Field Values

### INVSBJ_LITERAL

    public static final RoleClassInvestigationSubject INVSBJ_LITERAL

  The 'INVSBJ' literal object.

  See Also:
    `INVSBJ`

### CASESBJ_LITERAL

    public static final RoleClassInvestigationSubject CASESBJ_LITERAL

  The 'CASESBJ' literal object.

  See Also:
    `CASESBJ`

### RESBJ_LITERAL

    public static final RoleClassInvestigationSubject RESBJ_LITERAL

  The 'RESBJ' literal object.

  See Also:
    `RESBJ`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Investigation Subject' enumerators.

Method Detail

### get

    public static RoleClassInvestigationSubject get(java.lang.String literal)

  Returns the 'Role Class Investigation Subject' literal with the specified literal value.

### getByName

    public static RoleClassInvestigationSubject getByName(java.lang.String name)

  Returns the 'Role Class Investigation Subject' literal with the specified name.

### get

    public static RoleClassInvestigationSubject get(int value)

  Returns the 'Role Class Investigation Subject' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD